<?php
    include "misc.inc";
    include "common.inc";

    $login = current_user();
    if(!$login)
    {
        do_redirect("login.php");
    }
    start_page();

?>

<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=koi8-r">
</HEAD>
<BODY BGCOLOR="#EEEEEE">
<?php
    include "db_connect.inc";

    show_header(); 

?>

<CENTER><H1>Настройки Пользователя</H1></CENTER>

<?php
    include "sorted_table.inc";

    class EmailAliasesTable extends SortedTable
    {
        var $Id;

        function EmailAliasesTable($Id)
        {
            $this->SortedTable(array("Name", "Email", "Action"),
                               array("Имя", "Email", "&nbsp;"),

                               "SELECT Id, Name, Email from Authors WHERE Login='" . addslashes($Id) . "'",

                               "SELECT COUNT(*) FROM Authors WHERE Login = '" . addslashes($Id) . "'",
                               1,
                               array(0=>50),
                               array(0 => "ASC", 1 => "ASC"),
                               array(2)
                              );
            $this->Id = $Id;
        }

        function processCell($row, $i)
        {
            switch($i)
            {
                case 0:
                    print("<TD><A HREF = \"author.php?Id=" . htmlspecialchars($row[0]) . "\">" . htmlspecialchars($row[1]) . "</A></TD>\n");
                    break;

                case 1:
                    print("<TD><A HREF = \"mailto:" . htmlspecialchars($row[2]) . "\">&lt;" . htmlspecialchars($row[2]) . "&gt;</A></TD>\n");
                    break;
                case 2:
                    print("<TD><A HREF = \"removeemail_handler.php?author=" . htmlspecialchars($row[0]). "\">[убрать]</A></TD>\n");
                    break;
            }
        }
    }

    $user = current_user();
    if($user)
    {
        $table = new EmailAliasesTable($user);
        print("<CENTER><H3>Адреса</H3></CENTER>");
        if(!isset($sort))      $sort=NULL;
        if(!isset($sort_type)) $sort_type=NULL;
        if(!isset($pos))       $pos=NULL;
        $table->showTable("prefs.php", $sort, $sort_type, $pos);
    }
?>

<hr>
<p> 
Если Вы хотите добавить почтовый адрес к вашему псевдониму, используйте
нижеприведенную форму. Вы будете считаться автором всех работ,
присланных с этого адреса.

<p>Чтобы убедиться, что адрес действительно принадлежит Вам, по нему
будет послано письмо, содержащее код подтверждения и инструкции, как 
закончить добавление этого адреса.

<CENTER>
<FORM METHOD=GET ACTION="addemail_handler.php">
<TABLE BORDER=0>
    <TR>
        <TD><font size=-1>Имя</font></TD>  <TD ALIGN=LEFT> <INPUT TYPE="text" NAME="name" size=31> </TD>
    </TR>
    <TR>
        <TD><font size=-1>E-Mail:</font></TD> <TD ALIGN=LEFT> <INPUT TYPE="text" NAME="email" size=31> </TD>
    </TR>
    <TR>
        <TD></TD> <TD ALIGN=RIGHT> <INPUT TYPE="submit" NAME="do" value="Добавить"> </TD>
    </TR>
</TABLE>
</FORM>
</CENTER>

<HR>

<CENTER>
<H2>Настройки</H2>
<FORM METHOD=GET ACTION="change_prefs.php">
<TABLE BORDER=0>
    <TR><TD><font size=-1>Ставить оценки моим работам:</font></TD></TR>

<?php

    $result = mysql_db_query($db_database,
                             "SELECT AcceptVotes FROM Logins WHERE Login='" . addslashes(current_user()) . "'", $link);
    $row = mysql_fetch_array($result);
    mysql_free_result($result);
    if($row)
    {
        $allowed = $row[0];
    } else
    {
        $allowed = "Yes";
    }

    if($allowed=="Yes")
    {
        print "<TR><TD><INPUT TYPE=\"RADIO\" NAME=\"voting\" VALUE=\"Yes\" CHECKED>Разрешаю</TD></TR>";
        print "<TR><TD><INPUT TYPE=\"RADIO\" NAME=\"voting\" VALUE=\"No\">Запрещаю</TD></TR>";
    } else
    {
        print "<TR><TD><INPUT TYPE=\"RADIO\" NAME=\"voting\" VALUE=\"Yes\">Разрешаю</TD></TR>";
        print "<TR><TD><INPUT TYPE=\"RADIO\" NAME=\"voting\" VALUE=\"No\" CHECKED>Запрещаю</TD></TR>";
    }
?>

    <TR>
        <TD></TD> <TD ALIGN=RIGHT> <INPUT TYPE="submit" NAME="do" value="Изменить"> </TD>
    </TR>
</TABLE>
</FORM>
</CENTER>

<?php show_footer(); ?>

</BODY>
</HTML>
